.tooltip-wrapper {
  @apply relative inline-block;
}

.tooltip-content {
  @apply pointer-events-none inline-block absolute z-10 py-2 px-3 text-sm font-medium text-white bg-gray-900
    rounded-lg shadow-sm opacity-0 dark:bg-gray-700 transition-opacity w-max left-1/2 top-1/1
    -translate-x-1/2 max-w-xs sm:max-w-prose drop-shadow-md transform-gpu;
}

.tooltip-content.active {
  @apply pointer-events-none opacity-100;
}

.tooltip-content.top-left {
  --tw-translate-x: -90%;
  @apply -top-1 -translate-y-1/1;
}

.tooltip-arrow {
  @apply absolute -z-10 h-2 w-2 bg-gray-900 dark:bg-gray-700 -rotate-45 transform origin-top-left;
}

.top-left .tooltip-arrow {
  @apply bottom-0 top-auto translate-y-1/1;
  left: 90%;
}
